Subject: Re: [Q/RFC] mpc52xx gpt api

From: Grant Likely <[email-masked]>
Date: Fri, 20 Nov 2009 15:04:26 -0700

On Sun, Nov 15, 2009 at 10:17 AM, Albrecht Dreß <[email-masked]> wrote:
> Hi all,
>
> I tried to use a '5200B internal timer for a very simple task - as pwm to make a led blink, but apparently the current gpt implementation from Grant's tree does only support internal (cpu timer) modes which do not use the timer io pin.
>
> The first hurdle was to actually get the timer itself - mpc52xx_gpt_from_irq() never returned something when I passed the timers (v)irq to it.  What is the intended use of this function?  BTW, I do not need timer irq's, so I believe there should be an other way to grab a timer!

There is a discussion running right now on the linux-embedded list
about implementing an PWM api.  It's worth hopping over and taking a
look.

g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.